package com.accesshq.NLPDFdecoder;

import static com.google.common.base.Predicates.and;
import static com.neotys.extensions.codec.predicates.MorePredicates.isResponseEntity;
import static com.neotys.extensions.codec.predicates.MorePredicates.hasHTTPContentType;


import com.neotys.extensions.codec.AbstractBinder;

public class PDFBinder extends AbstractBinder {
	private static final String CONTENT_TYPE_RESPONSE= "application/pdf";

	@Override
	protected void configure() {
		whenEntity(and(hasHTTPContentType(CONTENT_TYPE_RESPONSE),isResponseEntity())).decodeWith(PDFDecoder.class);		
	}

}
